/*  REGISTER DECLARATIONS FOR 8044 */

DECLARE REG  LITERALLY 'REGISTER';

/********* BYTE REGISTERS ********/
DECLARE
   P0   BYTE  AT(80H)  REG,
   P1   BYTE  AT(90H)  REG,
   P2   BYTE  AT(0A0H) REG,
   P3   BYTE  AT(0B0H) REG,
   PSW  BYTE  AT(0D0H) REG,
   ACC  BYTE  AT(0E0H) REG,
   B    BYTE  AT(0F0H) REG,
   SP   BYTE  AT(81H)  REG,
   DPL  BYTE  AT(82H)  REG,
   DPH  BYTE  AT(83H)  REG,
   TCON BYTE  AT(88H)  REG,
   TMOD BYTE  AT(89H)  REG,
   TL0  BYTE  AT(8AH)  REG,
   TL1  BYTE  AT(8BH)  REG,
   TH0  BYTE  AT(8CH)  REG,
   TH1  BYTE  AT(8DH)  REG,
   IE   BYTE  AT(0A8H) REG,
   IP   BYTE  AT(0B8H) REG,

   EINT   BYTE  AT(09EH) REG,
   EBUF   BYTE  AT(09FH) REG,

   STS    BYTE  AT(0C8H) REG,
   SMD    BYTE  AT(0C9H) REG,
   RCB    BYTE  AT(0CAH) REG,
   RBL    BYTE  AT(0CBH) REG,
   RBS    BYTE  AT(0CCH) REG,
   RFL    BYTE  AT(0CDH) REG,
   STAD   BYTE  AT(0CEH) REG,
   DMACNT BYTE  AT(0CFH) REG,
   NSNR   BYTE  AT(0D8H) REG,
   SIUST  BYTE  AT(0D9H) REG,
   TCB    BYTE  AT(0DAH) REG,
   TBL    BYTE  AT(0DBH) REG,
   TBS    BYTE  AT(0DCH) REG,
   FIFO1  BYTE  AT(0DDH) REG,
   FIFO2  BYTE  AT(0DEH) REG,
   FIFO3  BYTE  AT(0DFH) REG;


/********* BIT REGISTERS ********/
  
  /********* PSW  BITS ********/
DECLARE
   CY   BIT  AT(0D7H) REG,
   AC   BIT  AT(0D6H) REG,
   F0   BIT  AT(0D5H) REG,
   RS1  BIT  AT(0D4H) REG,
   RS0  BIT  AT(0D3H) REG,
   OV   BIT  AT(0D2H) REG,
   P    BIT  AT(0D0H) REG,
  
  /********* TCON BITS ********/
   TF1  BIT  AT(8FH)  REG,
   TR1  BIT  AT(8EH)  REG,
   TF0  BIT  AT(8DH)  REG,
   TR0  BIT  AT(8CH)  REG,
   IE1  BIT  AT(8BH)  REG,
   IT1  BIT  AT(8AH)  REG,
   IE0  BIT  AT(89H)  REG,
   IT0  BIT  AT(88H)  REG,
  
  /*********  IE  BITS ********/
   EA   BIT  AT(0AFH) REG,
   ES   BIT  AT(0ACH) REG,
   ET1  BIT  AT(0ABH) REG,
   EX1  BIT  AT(0AAH) REG,
   ET0  BIT  AT(0A9H) REG,
   EX0  BIT  AT(0A8H) REG,
  
  /*********  IP  BITS ********/
   PS   BIT  AT(0BCH) REG,
   PT1  BIT  AT(0BBH) REG,
   PX1  BIT  AT(0BAH) REG,
   PT0  BIT  AT(0B9H) REG,
   PX0  BIT  AT(0B8H) REG,
  
  /*********  P3  BITS ********/
   RD   BIT  AT(0B7H) REG,
   WR   BIT  AT(0B6H) REG,
   T1   BIT  AT(0B5H) REG,
   T0   BIT  AT(0B4H) REG,
   INT1 BIT  AT(0B3H) REG,
   INT0 BIT  AT(0B2H) REG,
   TXD  BIT  AT(0B1H) REG,
   RXD  BIT  AT(0B0H) REG,
  
  /********* STS  BITS ********/
   TBF  BIT  AT(0CFH)  REG,
   RBE  BIT  AT(0CEH)  REG,
   RTS  BIT  AT(0CDH)  REG,
   SI   BIT  AT(0CCH)  REG,
   BOV  BIT  AT(0CBH)  REG,
   OPB  BIT  AT(0CAH)  REG,
   AM   BIT  AT(0C9H)  REG,
   RBP  BIT  AT(0C8H)  REG,
  
  /********* NSNR BITS ********/
   NS2  BIT  AT(0DFH)  REG,
   NS1  BIT  AT(0DEH)  REG,
   NS0  BIT  AT(0DDH)  REG,
   SES  BIT  AT(0DCH)  REG,
   NR2  BIT  AT(0DBH)  REG,
   NR1  BIT  AT(0DAH)  REG,
   NR0  BIT  AT(0D9H)  REG,
   SER  BIT  AT(0D8H)  REG;
