/*  REGISTER DECLARATIONS FOR 8051 */

DECLARE REG  LITERALLY 'REGISTER';

/********* BYTE REGISTERS ********/
DECLARE
   P0   BYTE  AT(80H)  REG,
   P1   BYTE  AT(90H)  REG,
   P2   BYTE  AT(0A0H) REG,
   P3   BYTE  AT(0B0H) REG,
   PSW  BYTE  AT(0D0H) REG,
   ACC  BYTE  AT(0E0H) REG,
   B    BYTE  AT(0F0H) REG,
   SP   BYTE  AT(81H)  REG,
   DPL  BYTE  AT(82H)  REG,
   DPH  BYTE  AT(83H)  REG,
   PCON BYTE  AT(87H)  REG,
   TCON BYTE  AT(88H)  REG,
   TMOD BYTE  AT(89H)  REG,
   TL0  BYTE  AT(8AH)  REG,
   TL1  BYTE  AT(8BH)  REG,
   TH0  BYTE  AT(8CH)  REG,
   TH1  BYTE  AT(8DH)  REG,
   IE   BYTE  AT(0A8H) REG,
   IP   BYTE  AT(0B8H) REG,
   SCON BYTE  AT(98H)  REG,
   SBUF BYTE  AT(99H)  REG;


/********* BIT REGISTERS ********/
  
  /********* PSW  BITS ********/
DECLARE
   CY   BIT  AT(0D7H) REG,
   AC   BIT  AT(0D6H) REG,
   F0   BIT  AT(0D5H) REG,
   RS1  BIT  AT(0D4H) REG,
   RS0  BIT  AT(0D3H) REG,
   OV   BIT  AT(0D2H) REG,
   P    BIT  AT(0D0H) REG,
  
  /********* TCON BITS ********/
   TF1  BIT  AT(8FH)  REG,
   TR1  BIT  AT(8EH)  REG,
   TF0  BIT  AT(8DH)  REG,
   TR0  BIT  AT(8CH)  REG,
   IE1  BIT  AT(8BH)  REG,
   IT1  BIT  AT(8AH)  REG,
   IE0  BIT  AT(89H)  REG,
   IT0  BIT  AT(88H)  REG,
  
  /*********  IE  BITS ********/
   EA   BIT  AT(0AFH) REG,
   ES   BIT  AT(0ACH) REG,
   ET1  BIT  AT(0ABH) REG,
   EX1  BIT  AT(0AAH) REG,
   ET0  BIT  AT(0A9H) REG,
   EX0  BIT  AT(0A8H) REG,
  
  /*********  IP  BITS ********/
   PS   BIT  AT(0BCH) REG,
   PT1  BIT  AT(0BBH) REG,
   PX1  BIT  AT(0BAH) REG,
   PT0  BIT  AT(0B9H) REG,
   PX0  BIT  AT(0B8H) REG,
  
  /*********  P3  BITS ********/
   RD   BIT  AT(0B7H) REG,
   WR   BIT  AT(0B6H) REG,
   T1   BIT  AT(0B5H) REG,
   T0   BIT  AT(0B4H) REG,
   INT1 BIT  AT(0B3H) REG,
   INT0 BIT  AT(0B2H) REG,
   TXD  BIT  AT(0B1H) REG,
   RXD  BIT  AT(0B0H) REG,
  
  /********* SCON BITS ********/
   SM0  BIT  AT(9FH)  REG,
   SM1  BIT  AT(9EH)  REG,
   SM2  BIT  AT(9DH)  REG,
   REN  BIT  AT(9CH)  REG,
   TB8  BIT  AT(9BH)  REG,
   RB8  BIT  AT(9AH)  REG,
   TI   BIT  AT(99H)  REG,
   RI   BIT  AT(98H)  REG;
